---
# ip
# hostname
# role - 'shardsvr', 'configsvr', ''
# replicationset
mongo_nodes:
  - { ip: '10.255.254.223', hostname: 'mongo-0-0', port: '27017', role: '', replicationset: 'rs0' }
  - { ip: '10.255.254.224', hostname: 'mongo-0-1', port: '27017', role: '', replicationset: 'rs0' }
  - { ip: '10.255.254.225', hostname: 'mongo-0-2', port: '27017', role: '', replicationset: 'rs0' }



required_package:
  - git
  - python*-pip
  - mongodb-org



# Debian repo
debian_mongodb_repo_stretch: deb http://repo.mongodb.org/apt/debian stretch/mongodb-org/3.4 main
debian_mongodb_repo_wheezy: deb http://repo.mongodb.org/apt/debian wheezy/mongodb-org/3.4 main
debian_mongodb_repo_jessie: deb http://repo.mongodb.org/apt/debian jessie/mongodb-org/3.4 main

# CentOS repo
centos_mongodb_repo: https://repo.mongodb.org/yum/redhat/7Server/mongodb-org/3.4/x86_64/
centos_mongodb_repo_gpgkey: https://www.mongodb.org/static/pgp/server-3.4.asc

pymongo_version: 3.5.1


linux_limits:
  - { type: "soft", class: "fsize", value: "unlimited" }
  - { type: "hard", class: "fsize", value: "unlimited" }
  - { type: "soft", class: "cpu", value: "unlimited" }
  - { type: "hard", class: "cpu", value: "unlimited" }
  - { type: "soft", class: "memlock", value: "unlimited" }
  - { type: "hard", class: "memlock", value: "unlimited" }
  - { type: "soft", class: "nofile", value: "64000" }
  - { type: "hard", class: "nofile", value: "64000" }
  - { type: "soft", class: "nproc", value: "64000" }
  - { type: "hard", class: "nproc", value: "64000" }
